%global _empty_manifest_terminate_build 0
Name:           perl-Task-Weaken
Version:        1.06
Release:        2
Summary:        Ensure that a platform has weaken support
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Task-Weaken/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/Task-Weaken-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006 perl(ExtUtils::MakeMaker) perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions) perl(Scalar::Util) >= 1.14
BuildRequires:  perl(strict) perl(Test::More) perl(warnings) perl-generators
Requires:       perl(strict)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
One recurring problem in modules that use Scalar::Util's weaken function is
that it is not present in the pure-perl variant.

%package help
Summary: Ensure that a platform has weaken support
Provides: perl-Task-Weaken-doc

%description help
One recurring problem in modules that use Scalar::Util's weaken function is
that it is not present in the pure-perl variant.

%prep
%setup -q -n Task-Weaken-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING dist.ini LICENSE Makefile.footer Makefile.header META.json README
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Mon Dec 13 2021 zhangshaoning <zhangshaoning@uniontech.com> - 1.06-2
- delete %dist.

* Wed Jun 10 2020 Perl_Bot <Perl_Bot@openeuler.org> 1.06-1
- Specfile autogenerated by Perl_Bot
